<?php
/*~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!
!		!!! Разработка сайтов и отдельных модулей на PHP !!!
!	* - Автор скрипата   :  lugaro
!	* - E-mail           :  lugaro@bk.ru
!	* - Сайт             :  wapNEW.ru
!	* - ICQ              :  2000882
~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!*/
/*Список альбомов*/
$tpl->assign_file('mod', 'tpl/inc/list_albom.tpl');
$id = (int)$_GET['id'];
$dir = $db->assoc($db->query("SELECT id AS dir_id, name AS dir_name FROM foto_dir WHERE id = '$id'"));
if (empty($dir['dir_name'])) header('Location: ?'); //Нет такой папки
$dir['linc'] = 'mod=list_albom&amp;id='.$id.'&amp;page=' . (int)$_GET['page'];
$tpl->assign($dir);
//Удаление альбома
if(isset($_GET['del_albom'])){
	$del_albom = (int)$_GET['del_albom'];
	$albom = $db->assoc($db->query("SELECT *  FROM foto_albom WHERE id = '$del_albom'"));
	if($admin || $albom['id_user'] == $user_id){
		if(is_dir('files/'.$albom['id_dir'].'/'.$del_albom)) del_dir('files/'.$albom['id_dir'].'/'.$del_albom);
		//получаем список файлов чтоб почистить в них коменты
		$sql = $db->query("SELECT * FROM foto_file WHERE id_albom = '$del_albom'");
		while(false != ($del = $db->assoc($sql))){
			$com = new comments_class_by_lugaro('fotoalbom', $del['id']);
			$com->del_group();
		}
		//Удаляем записи с базы);
		//Альбомы
		$db->query("DELETE  FROM foto_albom WHERE id = '$del_albom'");
		//Файлы
		$db->query("DELETE  FROM foto_file WHERE id_albom = '$del_albom'");
	}
}

$all = $db->result($db->query("SELECT COUNT(*) FROM foto_albom WHERE  id_dir = '$id' "));
if($all){
	$n = new navigator($all, $konf_albom['navi'], '?mod=list_albom&amp;id=' . $id . '&amp;');
    $n->no_button = true;
    $tpl->assign('page', $n->page);
	// Список альбомов
	$sql = $db->query("SELECT *, (SELECT COUNT(*) FROM foto_file WHERE `mod` = 0 AND  id_albom = foto_albom.id) AS count FROM foto_albom WHERE  id_dir = '$id' ORDER BY name LIMIT {$n->start()},{$konf_albom['navi']}");
	while (false != ($res = $db->assoc($sql))) {
	    $tpl->assign($res);
	    if ($admin || $res['id_user'] == $user_id) $tpl->parse('index.while.admin');
	    $tpl->parse('index.while');
	}
    $tpl->assign('navi', $n->navi());
}else{
	$tpl->parse('index.no_albom');
}
?>